Bug 175623 - Review Request: yaz - Z39.50/SRW/SRU programs
Review Request: yaz - Z39.50/SRW/SRU programs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-13 09:47 EST by Konstantin Ryabitsev
Modified: 2014-03-25 07:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-07 17:50:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Konstantin Ryabitsev 2005-12-13 09:47:15 EST
Spec Name or Url: http://linux.duke.edu/~icon/misc/fe/yaz.spec
SRPM Name or Url: http://linux.duke.edu/~icon/misc/fe/yaz-2.1.10-1.src.rpm
Description:
YAZ is a programmers’ toolkit supporting the development of Z39.50/SRW/SRU clients and servers. Z39.50-2003 (version 3) as well as SRW/SRU version 1.1 are supported in both the client and server roles.
Comment 1 John Mahowald 2006-02-25 18:00:02 EST
Build failed, devel x86_64

checking for working tcpd.h... no
configure: error: tcpd development libraries missing
Comment 2 Jason Tibbitts 2006-06-14 10:19:29 EDT
Adding back my comment that was lost in the crash:

------- Additional Comments From tibbs@math.uh.edu  2006-06-10 16:44 EST -------
icon, are you still interested in packaging this?  I have to say, the
description is terribly non-descriptive.  Even the upstream website doesn't
fother to say what Z39.50 is.  Perhaps adding the following (cribbed from
wikipedia) would help a bit:

Z39.50 is a client server protocol for searching and retrieving information from
remote computer databases.

This does, however, properly build in mock (x86_64, development).  If icon is
still interested and updates to the current version (2.1.20), I could go ahead
with a review of this.

BTW, this package has rpath problems on x86_64.  This seems to be fixed by the
usual technique of addingg BR: libtool and then adding LIBTOOL=/usr/bin/libtool
on the make line.  I have no idea if this breaks anything.  There seems to be an
included test suite but no %check section in the spec.
Comment 3 Konstantin Ryabitsev 2006-06-14 11:31:08 EDT
Yep, I'm still alive. I'll take a look at it briefly.
Comment 4 Konstantin Ryabitsev 2006-06-20 15:31:38 EDT
http://linux.duke.edu/~icon/misc/fe/yaz.spec
http://blues.mcgill.ca/~icon/fe/yaz-2.1.22-1.src.rpm

* Tue Jun 20 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.1.22-1
- Version 2.1.22
- Libtoolize correctly
- BuildRequire libxslt
- BuildRequire tcp_wrappers
- Enable pth in configure
- Add %%check routine
Comment 5 Jason Tibbitts 2006-06-21 00:02:51 EDT
Builds fine in mock (x86_64, development) and rpmlint is quiet.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* source files match upstream:
   2d401ea471a87e7a056ea2df9e2d9d14  yaz-2.1.22.tar.gz
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (x86_64, development).
* rpmlint is silent.
* final provides and requires are sane:

  libyaz-2.1.22-1.fc6.x86_64.rpm
   libyaz.so.2()(64bit)
   libyazthread.so.2()(64bit)
   libyaz = 2.1.22-1.fc6
  =
   /sbin/ldconfig
   libcrypto.so.6()(64bit)
   libexslt.so.0()(64bit)
   libgcrypt.so.11()(64bit)
   libgpg-error.so.0()(64bit)
   libssl.so.6()(64bit)
   libwrap.so.0()(64bit)
   libxml2.so.2()(64bit)
   libxslt.so.1()(64bit)
   libyaz.so.2()(64bit)
   libyazthread.so.2()(64bit)
   libz.so.1()(64bit)

  libyaz-devel-2.1.22-1.fc6.x86_64.rpm
   libyaz-devel = 2.1.22-1.fc6
  =
   /bin/sh
   libxml2-devel
   libyaz = 2.1.22-1.fc6
   libyaz.so.2()(64bit)
   libyazthread.so.2()(64bit)
   openssl-devel
   readline-devel
   
  yaz-2.1.22-1.fc6.x86_64.rpm
   yaz = 2.1.22-1.fc6
  =
   libcrypto.so.6()(64bit)
   libexslt.so.0()(64bit)
   libgcrypt.so.11()(64bit)
   libgpg-error.so.0()(64bit)
   libhistory.so.5()(64bit)
   libncurses.so.5()(64bit)
   libreadline.so.5()(64bit)
   libssl.so.6()(64bit)
   libwrap.so.0()(64bit)
   libxml2.so.2()(64bit)
   libxslt.so.1()(64bit)
   libyaz.so.2()(64bit)
   libz.so.1()(64bit)

* shared libraries are present; ldconfig is called and unversioned .so files are
in the -devel package.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   ===================
   All 21 tests passed
   ===================
* scriptlets present and OK (ldconfig calls)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers present in -devel package.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 6 Jason Tibbitts 2006-07-07 12:44:13 EDT
This package has been in the repo for a couple of weeks now; any reason this bug
hasn't been closed?
Comment 7 Konstantin Ryabitsev 2006-07-07 17:50:18 EDT
Just lack of attention. :) Closing, thanks.
Comment 8 Konstantin Ryabitsev 2007-04-01 18:06:21 EDT
Please create EPEL branches:

Branches: EL-4, EL-5
Comment 9 Jens Petersen 2007-04-02 08:31:27 EDT
done
Comment 10 Christopher Meng 2014-03-25 05:23:49 EDT
Package Change Request
======================
Package Name: yaz
New Branches: epel7
Owners: cicku
Comment 11 Jon Ciesla 2014-03-25 07:56:18 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.